<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: API/src/GPIO.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('GPIO_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">GPIO.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implementation of the GPIO module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;API.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for GPIO.c:</div>
<div class="dyncontent">
<div class="center"><img src="GPIO_8c__incl.png" border="0" usemap="#API_2src_2GPIO_8c" alt=""/></div>
<map name="API_2src_2GPIO_8c" id="API_2src_2GPIO_8c">
<area shape="rect" id="node2" href="API_8h_source.html" title="API.h" alt="" coords="315,80,370,107"/><area shape="rect" id="node4" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="137,155,199,181"/><area shape="rect" id="node5" href="GPIO_8h.html" title="Header file for the GPIO.c module. " alt="" coords="216,229,283,256"/><area shape="rect" id="node6" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="299,155,386,181"/><area shape="rect" id="node7" href="USART_8h.html" title="Header file for the USART.c module. " alt="" coords="410,155,489,181"/><area shape="rect" id="node8" href="LPTIMER_8h.html" title="Header file for the LPTIMER.c module. " alt="" coords="513,155,604,181"/><area shape="rect" id="node10" href="WWDG_8h.html" title="Header file for the WWDG.c module. " alt="" coords="730,155,809,181"/></map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a885c93e9837729510e85129e4ac82a86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8c.html#a885c93e9837729510e85129e4ac82a86">GPIO_Init</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance)</td></tr>
<tr class="memdesc:a885c93e9837729510e85129e4ac82a86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize a GPIO instance.  <a href="#a885c93e9837729510e85129e4ac82a86">More...</a><br /></td></tr>
<tr class="separator:a885c93e9837729510e85129e4ac82a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55274c05fa9e816b7d0567799f2adda3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8c.html#a55274c05fa9e816b7d0567799f2adda3">GPIO_DeInit</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance)</td></tr>
<tr class="memdesc:a55274c05fa9e816b7d0567799f2adda3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the GPIO clock.  <a href="#a55274c05fa9e816b7d0567799f2adda3">More...</a><br /></td></tr>
<tr class="separator:a55274c05fa9e816b7d0567799f2adda3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a183d1dc00b66e06267fc01ea2d9395e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8c.html#a183d1dc00b66e06267fc01ea2d9395e4">SetDO</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance, uint8_t bitVal)</td></tr>
<tr class="memdesc:a183d1dc00b66e06267fc01ea2d9395e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the output of a GPIO pin.  <a href="#a183d1dc00b66e06267fc01ea2d9395e4">More...</a><br /></td></tr>
<tr class="separator:a183d1dc00b66e06267fc01ea2d9395e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86c036aa80b88e113e5783aa9f06a2b3"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8c.html#a86c036aa80b88e113e5783aa9f06a2b3">GetDI</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance)</td></tr>
<tr class="memdesc:a86c036aa80b88e113e5783aa9f06a2b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the input value of a GPIO pin.  <a href="#a86c036aa80b88e113e5783aa9f06a2b3">More...</a><br /></td></tr>
<tr class="separator:a86c036aa80b88e113e5783aa9f06a2b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a325a2efca19e3b77bd88cb7d6f1891be"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA0</b></td></tr>
<tr class="separator:a325a2efca19e3b77bd88cb7d6f1891be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0af9f63fd516206bc9c111c77cfeff8a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA1</b></td></tr>
<tr class="separator:a0af9f63fd516206bc9c111c77cfeff8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a127e5b731cabe06270969257329ddbf2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA2</b></td></tr>
<tr class="separator:a127e5b731cabe06270969257329ddbf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce20c6bd67c7ea79ff0d5a3d1f62257"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA3</b></td></tr>
<tr class="separator:a7ce20c6bd67c7ea79ff0d5a3d1f62257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec4f22408b689321be8a39936043d4ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA4</b></td></tr>
<tr class="separator:aec4f22408b689321be8a39936043d4ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0774f5b0a352da541fae2422d934beba"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA5</b></td></tr>
<tr class="separator:a0774f5b0a352da541fae2422d934beba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f9bb6ffaa5bc301f4cad0381822fcd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA6</b></td></tr>
<tr class="separator:a26f9bb6ffaa5bc301f4cad0381822fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e450a16e7abb8eb9e671728f97be5b9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA7</b></td></tr>
<tr class="separator:a9e450a16e7abb8eb9e671728f97be5b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa18bb55c744ffdd3b37e6a6e0d32f155"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA8</b></td></tr>
<tr class="separator:aa18bb55c744ffdd3b37e6a6e0d32f155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb00bd9c52f22ad61214a9186b6bed75"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA9</b></td></tr>
<tr class="separator:abb00bd9c52f22ad61214a9186b6bed75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a775f5a87ed2d0fe3219d5bab91abc8a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA10</b></td></tr>
<tr class="separator:a775f5a87ed2d0fe3219d5bab91abc8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6ab84f88f26c64cb9109fbaf6173d1b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA11</b></td></tr>
<tr class="separator:aa6ab84f88f26c64cb9109fbaf6173d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abfae746e3354f874721653e7b2eb74"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA12</b></td></tr>
<tr class="separator:a8abfae746e3354f874721653e7b2eb74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab376863e0a26a62a1a74b3efc9d83e9a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA13</b></td></tr>
<tr class="separator:ab376863e0a26a62a1a74b3efc9d83e9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae23277c4cc5a0a57280f0cb0291bc86b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA14</b></td></tr>
<tr class="separator:ae23277c4cc5a0a57280f0cb0291bc86b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af70761007c8c3908a3579220209836a4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA15</b></td></tr>
<tr class="separator:af70761007c8c3908a3579220209836a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdf9414c856d091251751931c1e309a6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB0</b></td></tr>
<tr class="separator:afdf9414c856d091251751931c1e309a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a310340bbfdc13b6938cb0d1bc4d8332b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB1</b></td></tr>
<tr class="separator:a310340bbfdc13b6938cb0d1bc4d8332b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad627d774de7864ccdd353989241f6fa9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB3</b></td></tr>
<tr class="separator:ad627d774de7864ccdd353989241f6fa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8b07ad3aba6dfc1fe0a2c0f093893f4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB4</b></td></tr>
<tr class="separator:af8b07ad3aba6dfc1fe0a2c0f093893f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c89239fd051bec61acbb6637c2a8642"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB5</b></td></tr>
<tr class="separator:a6c89239fd051bec61acbb6637c2a8642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11ca85479199a35a87d4ac721ef735f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB6</b></td></tr>
<tr class="separator:ae11ca85479199a35a87d4ac721ef735f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e14b71987bbae1fe1b15c60fddf3edc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB7</b></td></tr>
<tr class="separator:a6e14b71987bbae1fe1b15c60fddf3edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5c6832994c23dd63b10ae5b1229a28a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB9</b></td></tr>
<tr class="separator:af5c6832994c23dd63b10ae5b1229a28a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ddc7b2c03a73b537d8de996c1971a3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PC14</b></td></tr>
<tr class="separator:ae4ddc7b2c03a73b537d8de996c1971a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe39cce297b078856b67cd2084090fd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PC15</b></td></tr>
<tr class="separator:affe39cce297b078856b67cd2084090fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implementation of the GPIO module. </p>
<dl class="section author"><dt>Author</dt><dd>Andreas Hirtenlehner, Gerald Ebmer, Lukas Pechhacker </dd></dl>
<dl class="section date"><dt>Date</dt><dd>16.08.2016 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a86c036aa80b88e113e5783aa9f06a2b3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t GetDI </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the input value of a GPIO pin. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Low </td></tr>
    <tr><td class="paramname">1</td><td>High </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a55274c05fa9e816b7d0567799f2adda3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_DeInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable the GPIO clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a885c93e9837729510e85129e4ac82a86"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize a GPIO instance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a183d1dc00b66e06267fc01ea2d9395e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetDO </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>bitVal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the output of a GPIO pin. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
    <tr><td class="paramname">bitVal</td><td>Value 0...Low &gt;0...High </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a325a2efca19e3b77bd88cb7d6f1891be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA0</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 0, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a0af9f63fd516206bc9c111c77cfeff8a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA1</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 1, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a775f5a87ed2d0fe3219d5bab91abc8a0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA10</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 10, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="aa6ab84f88f26c64cb9109fbaf6173d1b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA11</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 11, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a8abfae746e3354f874721653e7b2eb74"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA12</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 12, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ab376863e0a26a62a1a74b3efc9d83e9a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA13</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 13, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ae23277c4cc5a0a57280f0cb0291bc86b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA14</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 14, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="af70761007c8c3908a3579220209836a4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA15</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 15, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a127e5b731cabe06270969257329ddbf2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA2</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 2, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a7ce20c6bd67c7ea79ff0d5a3d1f62257"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA3</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 3, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="aec4f22408b689321be8a39936043d4ae"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA4</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 4, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a0774f5b0a352da541fae2422d934beba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA5</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 5, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a26f9bb6ffaa5bc301f4cad0381822fcd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA6</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 6, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a9e450a16e7abb8eb9e671728f97be5b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA7</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 7, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="aa18bb55c744ffdd3b37e6a6e0d32f155"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA8</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 8, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="abb00bd9c52f22ad61214a9186b6bed75"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PA9</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOA, 9, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="afdf9414c856d091251751931c1e309a6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB0</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 0, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a310340bbfdc13b6938cb0d1bc4d8332b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB1</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 1, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ad627d774de7864ccdd353989241f6fa9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB3</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 3, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="af8b07ad3aba6dfc1fe0a2c0f093893f4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB4</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 4, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a6c89239fd051bec61acbb6637c2a8642"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB5</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 5, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ae11ca85479199a35a87d4ac721ef735f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB6</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 6, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a6e14b71987bbae1fe1b15c60fddf3edc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB7</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 7, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="af5c6832994c23dd63b10ae5b1229a28a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PB9</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOB, 9, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ae4ddc7b2c03a73b537d8de996c1971a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PC14</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOC, 14, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="affe39cce297b078856b67cd2084090fd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> PC15</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= { GPIOC, 15, INPUT, OPEN_DRAIN, GPIO_SPEED_10MHz, PULL_UP,</div>
<div class="line">        ALTERNATIVE_FUNCTION_0, 0 }</div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_19ea4dbfe8f0e4681f60b9b97f7b5d11.html">API</a></li><li class="navelem"><a class="el" href="dir_72c031272133aec1d916095cf903ecf1.html">src</a></li><li class="navelem"><a class="el" href="GPIO_8c.html">GPIO.c</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
